ReviewSessionListItem

Session with review insight counts

  • applicationId
    Type: stringFormat: uuid
    required

    Application ID associated with this session

  • caliperSessionId
    Type: string
    required

    Caliper session ID for evidence tracking

  • durationInSeconds
    Type: integer
    required

    Duration of the session in seconds

  • endedAtTime
    Type: stringFormat: date-time
    required

    Timestamp when the session ended

  • falsePositiveCount
    Type: integer
    required

    Number of insights reviewed as false positive in this session

  • id
    Type: stringFormat: uuid
    required

    Unique identifier for the session

  • insightCountsByType
    Type: array object[] ยท ReviewStatsByType[]
    required

    Per-insight-type breakdown of review counts for this session

    Review statistics breakdown by insight type

    • falsePositiveCount
      Type: integer
      required

      Number of false positive reviews for this type

    • insightType
      Type: string
      required

      Insight type slug (data-driven, see GET /insights/1.0/types for available types)

    • pendingCount
      Type: integer
      required

      Number of pending insights for this type

    • truePositiveCount
      Type: integer
      required

      Number of true positive reviews for this type

  • isProctored
    Type: boolean
    required

    Whether this session is proctored

  • pendingCount
    Type: integer
    required

    Number of insights pending review in this session

  • startedAtTime
    Type: stringFormat: date-time
    required

    Timestamp when the session started

  • truePositiveCount
    Type: integer
    required

    Number of insights reviewed as true positive in this session

  • userId
    Type: stringFormat: uuid
    required

    User ID associated with this session

  • metadata
    Type: object | null

    Opaque session metadata object

    • propertyName
      Type: anything
  • recordingS3Key
    Type: string | null

    S3 key for the associated proctoring recording

  • webcamEnabled
    Type: boolean

    Indicates whether the webcam was enabled for this session